function [] = find_clothesline_time_periods(data_path, output_path, LC, N, file)

allowance = 0.1; % a small allowance for noise
threshold = 0.01; % the number of times we can tolerate going below threshold
fid = fopen([output_path 'clothesline_suspect_times.txt'], 'wt');
%start_date = datenum(st_date);
max_count = 1; 

% go over top-N probable clotheslines
for i = 1:min(N, length(LC))
				value = LC(i, 1)
				bin_size = LC(i, 3)
				
				%file = [s '.' num2str(bin_size) 's'];
				[U F1] = textread([data_path file], '%s %d', 'headerlines', 1);

				start_t = -1;
				end_t = -1;
				times = [];
				count = 1;
			%	(1-threshold) * value
				for j=1:length(F1)
								if F1(j) >= (1-allowance) * value ||  count <= threshold*abs(end_t-start_t) || count <= 3
												if start_t == -1
																start_t = j;
												else
																end_t = j;
												end
												if F1(j) < (1-allowance) * value
																count = count + 1;
												end
								else
												%display 'here'
												%count
												if start_t ~= -1
																times(end+1, :) = [start_t end_t];
																start_t = -1;
																end_t = -1;
																max_count = max(count, max_count);
																count = 1;
												end
								end
				end

			%	times
				% now sort the times according to length and take the longest
				length_t = times(:, 2) - times(:, 1); 
				[m ind] = max(length_t);
				times(ind, :)
				d1 = U{times(ind, 1)-1};
				d2 = U{times(ind, 2)};
				
				%d1 = datestr(((times(ind, 1)-1)*bin_size/(24*3600))+start_date)
				%d2 = datestr((times(ind, 2)*bin_size/(24*3600))+start_date)
				fprintf(fid,'%s\t%s\t%d\t%d\n', d1, d2, value, bin_size);

				figure;
				semilogy(F1);
				hold on;
			  semilogy([times(ind, 1):times(ind, 2)], value, '-r'); 
				print('-djpeg', [output_path num2str(value) '.clothesline.jpg']);
				max_count
end

fclose(fid);
